Sx05RE v1.8.6 Emulationstation+Lakka+Kodi

  • niabi - Did Amiga FS-UAE/UAE4ARM get removed after v1.4? I can only see an C64 core in 1.65 and 1.7.

    I've looked at the new Lakka 2.1 RC3 build which now adds them along with Dolphin... getting very exciting.

    AFAIK nothing has been removed, but if they removed and added it back on RC3 It should be in my source code, I will check it.


    I don't think Dolphin will ever run on the S905, they add the cores but they are for other platforms.

  • Hm, after first boot and shutting down the Box, next boot it shows up "File System corrupted, shut down the Box"

    For sure, that this Image fits my Box?

    ok, i will do so. How can i migrate all Kodi Settings (from another SD Card) into the "new" System? All Addons, Skin, Settings? I dont want to overwrite wrong things, maybe the emulation station wont work after that?


    //Update: broken Filesystem seems to be solved. But: if it comes up, it says "we can't find any systems" - copied before a ROM into Rom-Folder.

    How to solve?

    first of all make double sure you are using the correct DTB, those problems that you have are mostly related to that.


    The ROM error means you don't have any games on /storage/roms/ or they are not in the correct folder, make sure the roms are in their respective system folder. e.g /storage/roms/nes for NES games.

  • Looks like my nexbox a95 is no longer finding a bluetooth adapter. I haven't tried to use bluetooth for quite a while but suspect it broke when I updated to 1.7 PR1.


    Has anyone else had any bluetooth issues?

  • niabi

    After testing your build on an S805 Android TV box, I can confirm your compiled build is not working for S805. All libretro cores are compiled for A53 and can not work on A7. So, I think your build can be renamed to S905RE :)

  • niabi

    After testing your build on an S805 Android TV box, I can confirm your compiled build is not working for S805. All libretro cores are compiled for A53 and can not work on A7. So, I think your build can be renamed to S905RE :)

    My current build sure, as it is focused on the S905 (the only box I have), but it CAN work for the S805 if you build it yourself, I am sorry I haven't had that much time to work on this mostly due to as you already know my broken laptop, but it is possible.

  • Hi niabi , I use the last build 1.7 in a Minix U1, but could not login to ssh. The conbination root:libreelec does not work... Kodi works OK, congratulations for the build... thanks in advanced, greetings from Paraguay

  • I did an upgrade from kszaq's build and don't see how to use this as it just still boots directly into Kodi?

  • I've added support in IARL to launch games if you're using this build. Seems to work pretty well for the systems I tested. Still trying to get it to work with PSP and AdvanceMAME. naibi was also gracious enough to add a retroarch setting in this build to boot back to Kodi instead of emulationstation when you exit Retroarch.


    If you set sx05re_exit_to_kodi = True in the retroarch.cfg, you will boot back to Kodi on exit.

  • I've added support in IARL to launch games if you're using this build. Seems to work pretty well for the systems I tested. Still trying to get it to work with PSP and AdvanceMAME. naibi was also gracious enough to add a retroarch setting in this build to boot back to Kodi instead of emulationstation when you exit Retroarch.


    If you set sx05re_exit_to_kodi = True in the retroarch.cfg, you will boot back to Kodi on exit.

    That is very nice! Thanks for your work on this!

  • Code
    1. sudo apt update && sudo apt upgrade
    2. sudo apt install gcc make git gcc-multilib lib32stdc++6
    3. sudo dpkg-reconfigure dash (select no, to install bash as the default)
    4. git clone https://github.com/shantigilbert/LibreELEC.tv.git Sx05RE
    5. cd Sx05RE
    6. make image PROJECT=S905 ARCH=arm DISTRO=Sx05RE


    I'm trying to build on Linux Ubuntu 17.10 x64 but i'm getting some error message. Why?





    I'm following this post:

    Compile Error GCC 7 - Lakka - Libretro Forums


    It looks that I have to downgrade my GCC version gcc (Ubuntu 7.2.0-8ubuntu3) 7.2.0 to gcc (Ubuntu 5.4.0-6ubuntu1~16.04.5) 5.4.0 20160609 :rolleyes:

  • EngineerOfLife Currently LE 8.2 fails to build on Ubuntu 17.10, there's a WIP PR to fix it: fix 8.2 branch to compile at Ubuntu 17.10 by CvH · Pull Request #2186 · LibreELEC/LibreELEC.tv · GitHub


    That's true, I spent all my night trying to make this works = (


    What I know is that we need to downgrade GCC (I did) and downgrade perl (what i didnt... I dont know how to downgrade perl.. I tried everything but no lucky.. still on .26 version.. so I give up hahaha)

  • I've added support in IARL to launch games if you're using this build. Seems to work pretty well for the systems I tested. Still trying to get it to work with PSP and AdvanceMAME. naibi was also gracious enough to add a retroarch setting in this build to boot back to Kodi instead of emulationstation when you exit Retroarch.


    If you set sx05re_exit_to_kodi = True in the retroarch.cfg, you will boot back to Kodi on exit.


    jfyk @zackmorris IARL is working very well on my s912 Kszaq 8.2 build with JoKeRz RetroArch s905. BUT no audio (I tried to change HW:0;2, but no success, I'm still working on it while I'm waiting to put emulationstation on my s905)

  • Hi,


    Im try to compile the sx05re 8v, but I get the error:


    Cloning into '/home/sx05re/build.sx05re-S905.arm-1.7/retroarch-assets-e0beb49'...

    remote: Counting objects: 7685, done.

    remote: Compressing objects: 100% (4/4), done.

    remote: Total 7685 (delta 0), reused 2 (delta 0), pack-reused 7681

    Receiving objects: 100% (7685/7685), 154.92 MiB | 4.31 MiB/s, done.

    Resolving deltas: 100% (931/931), done.

    Checking connectivity... done.

    error: pathspec 'e0beb49' did not match any file(s) known to git.

    Makefile:12: fallo en las instrucciones para el objetivo 'image'

    make: *** [image] Error


    Help pleaseeee?


    Thanks a lot

  • They changed the repo history, so edit the packages/sx05re/libretro/retroarch-assets/package.mk with the latest commit: f5069cb